Aviso del kernel


#1

buenas tardes .
me sale este mensaje al actualizar manjaro .

Sincronizando las bases de datos de los paquetes…
core está actualizado
extra está actualizado
community está actualizado
multilib está actualizado
:: Iniciando actualización completa del sistema…
advertencia: linux-firmware: la versión instalada (20181214.8aa9e3e-1) es más nueva que core (20181026.1cb4e51-1)

pregunta debo quitar el core ?


#2

Es une advertencia, no un error.
Si tienes no problema con tu sistema, tienes nada que hacer. Eventualmente una versión mas nueva llegara luego.


#3

A veces ocurre que al introducir un nuevo paquete, este introduce regresiones y problemas para algunos usuarios con determinado hardware, por lo que los responsables deciden quitar ese paquete e introducir la versión anterior que no presentaba esos problemas. De eso te esta avisando el gestor de actualizaciones, que la versión local es mas reciente que la remota.

Como bien apunta el compañero, si tu no eres uno de los afectados, no tienes que hacer nada. Eventualmente, cuando saquen versiones mas nuevas del paquete y se actualice, el aviso desaparecerá.

Si por lo que sea debes/deseas cambiar a la otra versión (la nueva que en realidad es la vieja), el comando a utilizar es sudo pacman -Syyuu, donde la doble uu al final indica que deseas forzar el downgrade a la versión remota mas anticuada respecto de la local.